Conversation messages
/v1/mailboxes/{mailbox_id}/threads/{thread_id}Returns up to 100 letters of the selected conversation, from old to new. Pass thread_id from the dialog list. Emails that have already been deleted or are no longer available are not included in the response.
Authentication and access · Errors and retries
Request
curl -X GET 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/threads/<thread_id>' \ -H 'Authorization: Bearer <access_token>'Parameters
mailbox_idpathNecessarilyintegerthread_idpathNecessarilystringX-Customer-IDheader- Option 1
stringOption 2null
Responses
200 Successful response
application/json
array
object
uidintegeruidvalidityintegerfolderstringmessage_idstringthread_idstringsenderstringrecipientsarrayArray elementsobjectnamestringemailstring
subjectstringpreviewstringflagsarrayArray elementsstringsize_bytesintegerreceived_atstringDate and time in UTC. If there is no offset, the value also represents UTC.
textstringhtmlstringattachmentsarrayArray elementsobjectindexintegerfilenamestringcontent_typestringsize_bytesinteger
ccarrayArray elementsobjectnamestringemailstring
referencesstringreply_tostring
401 Login required
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
403 No access
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
404 Resource not found
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
409 State conflict
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
422 Validation error
application/json
object
detailarrayArray elementsobjectlocNecessarilyarrayArray elementsOption 1stringOption 2integermsgNecessarilystringtypeNecessarilystring
503 Temporarily unavailable
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject